package com.ltgk.common.enums;


import com.ltgk.common.utils.enums.CodeDescEnumInterface;
import lombok.Getter;

/**
 * 违规告警（预警）预警类型枚举类
 *
 * @author Qi ChengBin
 * @date 2025/03/13
 */
@Getter
public enum ViolationsAlarmTypeEnums implements CodeDescEnumInterface {
    GO_TO_SEA_DURING_THE_FISHING_MORATORIUM(1, "休渔期出海"),
    CROSS_BORDER_FISHING(2, "越界捕捞"),
    A_BOAT_WITH_MANY_BUCKETS(3, "一船多斗"),
    ONE_NUMBER_AND_TWO_SHIPS(4, "一号两船"),
    EQUIPMENT_SEPARATION(5, "设备分离"),
    BLACKLISTED_FISHING_BOATS_GO_TO_SEA(6, "黑名单渔船出海"),
    ILLEGAL_DOCKING(7, "违规停靠"),
    ELECTRONIC_FENCE(8, "电子围栏"),
    OFF_SITE_FISHING_VESSEL_ALERTS(9, "异地渔船告警"),
    THREE_NO_BOATS(10, "疑似三无船只");

    private final Integer code;
    private final String desc;

    ViolationsAlarmTypeEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
